description

# Struct class Null safety

This class is extended to define structs.

Fields in a struct, annotated with a subtype of NativeType, are automatically transformed into wrappers to access the fields of the struct in native memory.

All fields in a struct must either have a type which extends NativeType or else have an annotation indicating the corresponding native type (e.g. "@Int32()" for "int").

Instances of a subclass of Struct have reference semantics and are backed by native memory. The may allocated via allocation or loaded from a Pointer, but not by a generative constructor.

Inheritance
  - Object
  - NativeType
  - Struct
Implementers
  - Dart_CObject
Available Extensions
  - StructAddressOf

## Constructors

Struct()
  Construct a reference to the nullptr. [...]

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited